
From: William Lee Irwin III <wli@holomorphy.com>

This small patch silences some iomem-related warnings in sunzilog.c by
declaring mapped_addr as void __iomem * and inserting a cast in one case.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/serial/sunzilog.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

diff -puN drivers/serial/sunzilog.c~sunzilog-warning-fixes drivers/serial/sunzilog.c
--- 25/drivers/serial/sunzilog.c~sunzilog-warning-fixes	2005-06-01 13:02:23.000000000 -0700
+++ 25-akpm/drivers/serial/sunzilog.c	2005-06-01 13:02:23.000000000 -0700
@@ -1071,7 +1071,7 @@ static void __init sunzilog_alloc_tables
  */
 static struct zilog_layout __iomem * __init get_zs_sun4u(int chip, int zsnode)
 {
-	unsigned long mapped_addr;
+	void __iomem *mapped_addr;
 	unsigned int sun4u_ino;
 	struct sbus_bus *sbus = NULL;
 	struct sbus_dev *sdev = NULL;
@@ -1111,9 +1111,9 @@ static struct zilog_layout __iomem * __i
 		apply_fhc_ranges(central_bus->child,
 				 &zsregs[0], 1);
 		apply_central_ranges(central_bus, &zsregs[0], 1);
-		mapped_addr =
-			(((u64)zsregs[0].which_io)<<32UL) |
-			((u64)zsregs[0].phys_addr);
+		mapped_addr = (void __iomem *)
+			((((u64)zsregs[0].which_io)<<32UL) |
+			((u64)zsregs[0].phys_addr));
 	}
 
 	if (zilog_irq == -1) {
_
